[Flent-users] [tohojo/flent] Unable to use flent-gui from 83d14d68 (#167)

Pete Heist notifications at github.com
Mon Jul 15 18:38:58 EEST 2019


Sure, no problem :)...that does give some more info:

```
% flent-gui --verbose --debug-error *.flent.gz
Started Flent 1.9.9-git-83d14d6 using Python 3.7.4.
CACHEDIR=/Users/heistp/.matplotlib
Loaded backend agg version unknown.
Initialised matplotlib v3.1.1 on numpy v1.16.4.
GUI loaded. Running on PyQt v5.12.3.
Loading data file batch-two-flow-2019-07-15T130800-reno_reno-sce-sce-single-50Mbit-80ms.flent.gz
Loading data file batch-two-flow-2019-07-15T130800-reno-sce_reno-sce-sce-single-50Mbit-80ms.flent.gz
Executing test environment file /usr/local/lib/python3.7/site-packages/flent-1.9.9_git_83d14d6-py3.7.egg/flent/tests/tcp_2up.conf
Executing test environment file /usr/local/lib/python3.7/site-packages/flent-1.9.9_git_83d14d6-py3.7.egg/flent/tests/tcp_2up.conf
ERROR: Error while loading data file: '<built-in function connectSlotsByName> returned a result with an error set'. Skipping.
AttributeError: __getattribute__

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/flent-1.9.9_git_83d14d6-py3.7.egg/flent/gui.py", line 837, in load_one
    widget = self.add_tab(r, t, current_plot, focus=False)
  File "/usr/local/lib/python3.7/site-packages/flent-1.9.9_git_83d14d6-py3.7.egg/flent/gui.py", line 777, in add_tab
    widget = ResultWidget(self.viewArea, self.settings, self.worker_pool)
  File "/usr/local/lib/python3.7/site-packages/flent-1.9.9_git_83d14d6-py3.7.egg/flent/gui.py", line 2072, in __init__
    super(ResultWidget, self).__init__(parent)
  File "/usr/local/lib/python3.7/site-packages/flent-1.9.9_git_83d14d6-py3.7.egg/flent/gui.py", line 224, in __init__
    self.setupUi(self)
  File "<string>", line 25, in setupUi
SystemError: <built-in function connectSlotsByName> returned a result with an error set
ERROR: Error while loading data file: '<built-in function connectSlotsByName> returned a result with an error set'. Skipping.
AttributeError: __getattribute__

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/flent-1.9.9_git_83d14d6-py3.7.egg/flent/gui.py", line 837, in load_one
    widget = self.add_tab(r, t, current_plot, focus=False)
  File "/usr/local/lib/python3.7/site-packages/flent-1.9.9_git_83d14d6-py3.7.egg/flent/gui.py", line 777, in add_tab
    widget = ResultWidget(self.viewArea, self.settings, self.worker_pool)
  File "/usr/local/lib/python3.7/site-packages/flent-1.9.9_git_83d14d6-py3.7.egg/flent/gui.py", line 2072, in __init__
    super(ResultWidget, self).__init__(parent)
  File "/usr/local/lib/python3.7/site-packages/flent-1.9.9_git_83d14d6-py3.7.egg/flent/gui.py", line 224, in __init__
    self.setupUi(self)
  File "<string>", line 25, in setupUi
SystemError: <built-in function connectSlotsByName> returned a result with an error set
```

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/tohojo/flent/issues/167#issuecomment-511454382
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://flent.org/pipermail/flent-users_flent.org/attachments/20190715/ed543522/attachment-0001.html>


More information about the Flent-users mailing list